Issues

Issue #63 invalid

file permissions for EGG-INFO dateutil package incorrect

Romain GUINOT
created an issue

Noticed that the file permissions for the EGG-INFO directory from the dateutil-2.1 package are incorrect.

dateutil was Installed as a dependency from easy_install :

Searching for python-dateutil>=2.1
Reading http://pypi.python.org/simple/python-dateutil/
Reading http://labix.org/python-dateutil
Best match: python-dateutil 2.1
Downloading https://pypi.python.org/packages/source/p/python-dateutil/python-dateutil-2.1.tar.gz#md5=1534bb15cf311f07afaa3aacba1c028b
Processing python-dateutil-2.1.tar.gz
Writing /tmp/easy_install-XyAksZ/python-dateutil-2.1/setup.cfg
Running python-dateutil-2.1/setup.py -q bdist_egg --dist-dir /tmp/easy_install-XyAksZ/python-dateutil-2.1/egg-dist-tmp-akllyv
Adding python-dateutil 2.1 to easy-install.pth file

Installed /usr/lib/python2.7/site-packages/python_dateutil-2.1-py2.7.egg

The package could not be used afterwards by a normal user because the file permissions in the EGG-INFO directory were as follows :

root@machine:[/usr/lib/python2.7/site-packages/python_dateutil-2.1-py2.7.egg/EGG-INFO]# ll
total 24K
-rw------- 1 root root   1  5 sept. 11:00 dependency_links.txt
-rw------- 1 root root   1  5 sept. 11:00 not-zip-safe
-rw------- 1 root root 425  5 sept. 11:00 PKG-INFO
-rw------- 1 root root   3  5 sept. 11:00 requires.txt
-rw------- 1 root root 563  5 sept. 11:00 SOURCES.txt
-rw------- 1 root root   9  5 sept. 11:00 top_level.txt

changed them to 644 and i was able to use the package normally afterwards.

Other package dependencies that were installed as part of the same install had the right dependencies, so i'm assuming this is an issue with this particular package build.

Comments (3)

  1. Log in to comment